﻿using System;
using Celeste;
using Monocle;
using Microsoft.Xna.Framework;

namespace Celeste.Mod.SpeedCommands
{
    public static class SpeedCommands
    {
        [Command("speedx", "Sets player's X speed")]
        private static void CmdSpeedX(float speedX)
        {
            Level level = Engine.Scene as Level;
            if (level == null)
            {
                return;
            }
            Player player = level.Tracker.GetEntity<Player>();
            if (player == null)
            {
                return;
            }
            player.Speed.X = speedX;
        }

        [Command("speedy", "Sets player's Y speed")]
        private static void CmdSpeedY(float speedY)
        {
            Level level = Engine.Scene as Level;
            if (level == null)
            {
                return;
            }
            Player player = level.Tracker.GetEntity<Player>();
            if (player == null)
            {
                return;
            }
            player.Speed.Y = speedY;
        }

        [Command("speed", "Sets player's X and Y speed")]
        private static void CmdSpeed(float speedX, float speedY)
        {
            CmdSpeedX(speedX);
            CmdSpeedY(speedY);
        }
    }
}
